<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_e632e86b0" . "2887f94d49" . "b7ed76a3eb" . "cdc" => base64_decode("VGVtcGxhdGUgbm90" . "IGZvdW5k"), "templ" . "ate" => base64_decode("dGVtcGxh" . "dGU="), "_2c83c05de4fa14" . "08a298026dfb8d9" . "4b9" => base64_decode("Y2ZnX2RldmVsb3Blcl9tb2R" . "l"), "_d155d43a39d" . "e93f858123c6" . "b6ce31d8a" => base64_decode("cHJlZ1" . "9tYXRj" . "aA=="), "_523a40c8" . "6a0eb0d31" . "7646ab2bb" . "d40de8" => base64_decode("Tm8gdGVtcGxhdGUgcmVxdWVzdGV" . "k"), "_69100b7c21efad30d73e5c90" . "a439a5ce" => base64_decode("Ly4qXC50d2lnJ" . "C8="), "_7313d9106e" . "ada68fc893a" . "6d6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdpdGggdGhlICoudHdpZyBleHRlbn" . "Npb24="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["templ" . "ate"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["tem" . "pla" . "te"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2c83c05d" . "e4fa1408a" . "298026dfb" . "8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d155d43a39de93f858123c6b" . "6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_69100b7c21efad" . "30d73e5c90a439a" . "5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_523a40c86a0eb0d317646ab" . "2bbd40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7313d9106" . "eada68fc89" . "3a6d6733b5" . "8a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e632e86b02887f94d49b7e" . "d76a3ebcdc"]);
        }
        return $template;
    }
}